library snack_bar;
import 'package:flutter/material.dart';

class SnackBarActionParam{
  final String label;
  final Function onClickAction;

  SnackBarActionParam( this.label, this.onClickAction );
}

class SnackBarParam{
  final String content;
  final SnackBarActionParam action;

  SnackBarParam( this.content, this.action );
}

class ShowSnackBar{

  static void show( BuildContext context, SnackBarParam _parameter ){

    if( null != _parameter ){

      Scaffold.of( context ).showSnackBar(
        SnackBar(
          content: Text( _parameter.content ),
          action: null != _parameter.action
          ? SnackBarAction(
            label: _parameter.action.label,
            //onPressed: () => print( "clicou" )
            onPressed: () => _parameter.action.onClickAction( ),
          )
          : null,
          duration: Duration( seconds: 5 ),
          backgroundColor: Colors.black
        ),
      );
    }
  }
}